# Interface methods for submodule: LineSpatialObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import PointBasedSpatialObjectProxy as _PointBasedSpatialObjectProxy


# Interface methods for class: LineSpatialObject
class LineSpatialObjectProxy(_PointBasedSpatialObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def IsInsideInObjectSpace(self, point: Sequence[float]) -> bool:
		""""""
		...

